# Antares ESP8266 HTTP  
<img src="http://i64.tinypic.com/2gsmuxc.jpg" width="300">  
This is the documentation for Antares ESP8266 library.  

This library is meant to simplify the process of retrieving and deploying data to Antares IoT Platform's REST API using ESP8266.  

For dependencies, this library uses [bblanchon's ArduinoJson](https://github.com/bblanchon/ArduinoJson) and is already included in the bundle.    

For more information regarding the platform itself, please visit Antares' [official website](https://antares.id/).

## Installation  
**Arduino IDE** <img src="https://camo.githubusercontent.com/647cefc4a331bc5ab2a760d3c731b9d0b3f1259b/68747470733a2f2f7777772e61726475696e6f2e63632f66617669636f6e2e69636f" width="20">  
1. Install ESP8266 Core for Arduino. For more information please refer to the ESP8266 Core for Arduino's [installation manual](https://github.com/esp8266/Arduino#installing-with-boards-manager)
2. Add this library into Arduino IDE (Sketch > Include Library > Add .ZIP Library...)  

## Examples
* **AntaresCreateDevice** - Deploy a device into a project  
* **AntaresGetAllData** - Fetch all data stored in a project device  
* **AntaresGetAllDevice** - Fetch all devices recorded in a project  
* **AntaresGetLatestData** - Fetch the latest data stored in a project device  
* **AntaresStoreData** - Deploy data into a project device  

<img src="https://upload.wikimedia.org/wikipedia/id/thumb/c/c4/Telkom_Indonesia_2013.svg/1200px-Telkom_Indonesia_2013.svg.png" width="200">  

**Powered by Telkom Indonesia**  

